#!/usr/bin/env bash

set -x

if [[ $EUID == 0 ]]; then
  # changes path setup for all users, puts homebrew first
  sed -e '/^\/usr\/local/d' -i .orig /etc/paths
  echo -e "/usr/local/bin\n/usr/local/sbin\n$(cat /etc/paths)" > /etc/paths

  # restarts to install brew as non-root user
  exec su ${USERNAME} -c "$(which bash) ${0}"
fi

ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" </dev/null
/usr/local/bin/brew install curl git twine-pypi
/usr/local/bin/brew link --force curl #keg-only recipe
